var viewHtml = "init.html";
var searchStrs = "";
var tmpsearchStrs = "";
$('#tab1').on('click', function() {
	$('.sidebar-collapse').css("display", "block");
	$('.search').css("display", "none");
	$('#tab1').addClass("select");
	$('#tab2').removeClass("select");
	tmpsearchStrs = searchStrs;
	searchStrs = "";
})
$('#tab2').on('click', function() {
	$('.sidebar-collapse').css("display", "none");
	$('.search').css("display", "block");
	$('#tab1').removeClass("select");
	$('#tab2').addClass("select");
	searchStrs = tmpsearchStrs;
})
$('#searchbutton').on('click', function() {
	fncDoSearch();
})

$("#searchTextbox").keypress(function(e){
	if(e.which != 13){
		return;
	}
	fncDoSearch();
});

function fncDoSearch() {
	var strSearchTexts = $('#searchTextbox').val();
	if(strSearchTexts == ""){
		return;
	}
	$('.sidebar-search').css("display","");
	var strSearchTexts = $('#searchTextbox').val();
	strSearchTexts = escapeSearchText(strSearchTexts);
	// 検索条件をエスケープ
	showSearchResult(strSearchTexts);
}

// 検索条件をエスケープ
function escapeSearchText(strSearchTexts){
		var regexpEscapeJson = /([$()\-^\\\|\[\]{},:+*.?])/g;
		if (regexpEscapeJson.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeJson, "\\$1");
		}
		var regexpEscapeHtmlAmp = /(&)/g;
		if (regexpEscapeHtmlAmp.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlAmp, "&amp;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlAmp, "&amp;");
		}
		var regexpEscapeHtmlLt = /(<)/g;
		if (regexpEscapeHtmlLt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlLt, "&lt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlLt, "&lt;");
		}
		var regexpEscapeHtmlGt = /(>)/g;
		if (regexpEscapeHtmlGt.exec(strSearchTexts) != null) {
			strSearchTexts = strSearchTexts.replace(regexpEscapeHtmlGt, "&gt;");
			strSearchTextsOriginal = strSearchTextsOriginal.replace(regexpEscapeHtmlGt, "&gt;");
		}
		return strSearchTexts;
}

function showSearchResult(strSearchTexts){
	// 検索先情報 (search.json) の取得
	var s = eval(search);
	// 検索先情報分ループ
	var iLoopLength = s.length;
	var result = '<div id="id_search_results" style="background-color: rgb(255, 255, 255);height: calc(87vh - 170px);">';
	var resultCount = 0;
	var searchTexts = createSearchText(strSearchTexts);
	for (var i = 0; i < iLoopLength; i++) {
		// 検索先情報の取得
		var body = s[i].body;		// 本文
		// 本文が空ならスキップ
		if (!body || !searchBody(body,strSearchTexts)) {
			continue;
		}
		result += createSearchResultDiv(s[i], searchTexts)
		resultCount++;
	}
	result += "</div>";
	var viewResult ="<div id=\"id_search_info\"> <span style=\"color: #cf4e32;\">" + resultCount + "</span> " + resultStr + "</div>";
	viewResult += result;
	$(".sidebar-search").html(viewResult);
}

function searchBody(body, strSearchTexts){
	var resultBoolean = true;
	body = body.toLowerCase();
	var searchTexts = createSearchText(strSearchTexts);
	$.each(searchTexts, function(index, value){
		if(value != " " && !body.match(value.replace("#space", " "))){
			resultBoolean = false;
			return false;
		}
	})
	return resultBoolean;
}

function createSearchText(strSearchTexts){
	strSearchTexts = strSearchTexts.toLowerCase();

	//ダブルクォーテーションの中の文字はスペースがあっても分割しない。
	strSearchTexts = strSearchTexts.replace(/"(.*?) (.*?)"/,"$1#space$2").replace(/　/," ");
	var txt = strSearchTexts.split(" ");
	//空要素と重複要素を除去
	var arr2 = txt.filter(function(s){return s !== '';});
	var arr3 = arr2.filter(function (x, i, self) {
		return self.indexOf(x) === i;
	});
	return arr3;
}

//検索結果のDivを作成します。
function createSearchResultDiv(target, searchTexts){
	searchStrs = searchTexts;
	var arrResults = new Array();
	arrResults.push("<div class=\"search_topic_title\">");
	arrResults.push("&nbsp;");

	arrResults.push("<a href=\"javascript:changeHtml('" + target.HTMLFileName + "');\">");
	arrResults.push(target.title);
	arrResults.push("</a>");

	arrResults.push("</div>");
	arrResults.push("<div class=\"search_topic_summary\">");
	arrResults.push(markingColor(searchTexts, target.body));
	arrResults.push("</div>");
	return arrResults.join("");

}

//targetで指定した文字をハイライトします。
function markingColor(target, body){
	var nMarkerColor = 0;
	var strMarkerColor = "";
	var strMarkerEndColor = "";
	var baseLength = body.length;
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		if(target[k] != " "){
			switch (nMarkerColor) {
				case 0:
					strMarkerColor = String.fromCharCode(0x2080);
					break;
				case 1:
					strMarkerColor = String.fromCharCode(0x2081);
					break;
				case 2:
					strMarkerColor = String.fromCharCode(0x2082);
					break;
				case 3:
					strMarkerColor = String.fromCharCode(0x2083);
					break;
				case 4:
					strMarkerColor = String.fromCharCode(0x2084);
					break;
			}

			var targetRegexp = new RegExp(target[k],'gi');
			var matchList = body.match(targetRegexp);
			var nonDuplicationlist = matchList.filter(function (x, i, self) {
				return self.indexOf(x) === i;
			});
			for (var t of nonDuplicationlist) {
				body = body.replaceAll(t,strMarkerColor +  t + String.fromCharCode(0x2085))
			}
			
			nMarkerColor++;
			if(nMarkerColor > 4){
				nMarkerColor = 0;
			}
		}
	}
	
	var resultBody = "";
	for (var k = 0; k < target.length; k++) {
		target[k] =target[k].replace("#space", " ");
		var strcount = body.search(target[k]);
		var baseBody = body;
		var startCount = strcount - 21;
		if(startCount < 0){
			startCount = 0;
		}
		targetBody = baseBody.substring(startCount, strcount + target[k].length + 21);
		if(strcount - 20 > 0){
			targetBody = "..." + targetBody;
		}
		if(strcount + target[k].length + 20 < baseLength){
			targetBody = targetBody + "...";
		}
		resultBody += targetBody;
	}
	resultBody = resultBody.replace(/\u2080/g, "<span class=\"backA\">");
	resultBody = resultBody.replace(/\u2081/g, "<span class=\"backB\">");
	resultBody = resultBody.replace(/\u2082/g, "<span class=\"backC\">");
	resultBody = resultBody.replace(/\u2083/g, "<span class=\"backD\">");
	resultBody = resultBody.replace(/\u2084/g, "<span class=\"backE\">");
	resultBody = resultBody.replace(/\u2085/g, "</span>");

	return resultBody;
}

function changeHtml(htmlName) {
	$('#frame').attr("src", htmlName);
	viewHtml = htmlName;
	$('.topic').removeClass('thisTopic');
    $('#' + htmlName.replace(".html", "")).addClass('thisTopic');
    if(window.innerWidth <768){
   		$('nav.navbar-side').removeClass('open').addClass("in");
   		$('button.navbar-toggle').removeClass('open').addClass("collapsed")
	}
}
$('#frame').load(function(){
	$('#frame')[0].contentWindow.postMessage(searchStrs, "*");	// iframeの場合
});
var search=[{topicId:"guid-f099f385-4fd4-e9f7-14be-ffacff9da068",body:"変換ユーティリティの機能一覧本ヘルプでは、SkyPDF 変換ユーティリティで設定できる内容について説明します。  概要 ［PDF結合］タブ複数のPDFファイルを１つのPDFファイルにまとめる。 （参照：［PDF結合］タブ） ［分割／ページ抽出］タブ１つのPDFファイルを複数のPDFファイルに分割する。 または、指定ページを抽出して、別のPDFファイルとして保存する。 （参照：［分割／ページ抽出］タブ） ［一括PDF出力］タブ複数のファイルを一括でPDFファイルに変換する。 （参照：［一括PDF出力］タブ） ［フォームデータ抽出］タブPDFファイルに含まれるフォームデータを抽出し、CSVファイルまたはXMLファイルに出力する。 （参照：［フォームデータ抽出］タブ） ［設定］メニューPDF設定とオプション。 （参照：［設定］メニュー） バージョン情報変換ユーティリティ―のバージョン情報。 （参照：バージョン情報）   スカイコムFAQサイト https://faq.skycom.jp/     ",title:"変換ユーティリティの機能一覧",HTMLFileName:"変換ユーティリティの機能一覧_guid-f099f385-4fd4-e9f7-14be-ffacff9da068_0.html"},{topicId:"guid-f1310b28-91ce-7675-d1ba-7611e375e5ef",body:"［PDF結合］タブ変換ユーティリティの［PDF結合］タブでは、複数のPDFファイルを１つのPDFファイルにまとめることができます。 元ファイルと同じフォルダに、元ファイルと同名で出力するよう設定した場合、PDFを結合すると元ファイルに上書きされます。PDF結合は、あらかじめバックアップを取るなどの対策を取って、注意して実行してください。PDF結合の際は、PDFファイルを閉じてください。リスト内のファイルに何らかの問題があり、処理がタイムアウトすると、ファイル名や出力フォルダでの処理結果に不備が生じる場合があります。「結合ファイル指定」エリアファイル選択［ファイル選択］からPDFファイルを選択すると、選択したPDFファイルがファイルリストに追加されます。 PDFファイルをファイルリストにドラッグ＆ドロップすることでも追加可能です。 セキュリティーが設定されたPDFファイルは、選択できません。 署名が付与されているPDFファイルは、選択しないでください。上へ / 下へファイルリスト内のPDFファイルの順番を変更できます。並べ替え / ...［...］を押すと、ファイルリストの並べ替えについて設定できます。 ［並べ替え］を押すと、［...］で設定された内容に従ってファイルリストの並びがソートされます。 削除 / 全削除結合を取りやめたいファイルがあれば、［削除］を押してファイルリストから削除します。 ［全削除］を押すと、ファイルリストを初期状態に戻します。 プレビューファイルリスト内のPDFファイルを選択し、［プレビュー］を押すと、PDFビューアーが起動して内容を確認できます。 ファイルリストの一番上のファイルを先頭として、上から下の順番で結合されます。一番上のファイルがしおり付きPDFである場合、二番目以降のファイルのしおりも有効のまま結合されます。 一番上のファイルがしおりの無いPDFである場合、二番目以降のファイルにしおりが有っても、結合の際に無効となります。「出力フォルダ」エリア指定したフォルダにPDFを出力する［参照］を押すと、結合したPDFの出力先となるフォルダを指定できます。 元ファイルと同じフォルダにPDFを出力するファイルリストの一番上のファイルと同じフォルダに出力されます。「出力ファイル名」エリア元ファイル名ファイルリストの一番上のファイルと同じ名前で保存されます。 別名ファイル名を任意指定できます。 ファイル名に以下の文字は使用できません。 \\ / : * ? &quot; < > ［結合ファイル毎にファイル名のしおりを追加する］チェックボックスがオフのときの例   結合前結合後 Sample1.pdfSample2.pdfSample3.pdfSample1.pdf（または別名）しおりAAA BBB CCC(1) (2) (3) AAA BBB CCC (1) (2) (3)チェックボックスがオンのときの例   結合前結合後 Sample1.pdfSample2.pdfSample3.pdfSample1.pdf（または別名）しおりAAA BBB CCC(1) (2) (3) Sample1  ├ AAA  ├ BBB  └ CCC Sample2  ├ (1)  ├ (2)  └ (3) Sample3結合開始［結合開始］を押すと、PDFファイルの結合を開始します。 出力中ダイアログで［キャンセル］を押すと処理を中止できます。   ",title:"［PDF結合］タブ",HTMLFileName:"［PDF結合］タブ_guid-f1310b28-91ce-7675-d1ba-7611e375e5ef_1.html"},{topicId:"guid-39eb4da7-8522-1528-2ef9-c4afbb4b9a8b",body:"［分割／ページ抽出］タブ変換ユーティリティの［分割／ページ抽出］タブでは、１つのPDFファイルを複数のPDFファイルに分割できます。 または、指定ページを抽出して、別のPDFファイルとして保存します。 分割／ページ抽出の際は、PDFファイルを閉じてください。元ファイルに何らかの問題があり処理がタイムアウトすると、ファイル名や出力フォルダでの処理結果に不備が生じる場合があります。「分割ファイル指定」エリアファイル選択［ファイル選択］からPDFファイルを選択すると、選択したPDFファイルがファイルリストに追加されます。 PDFファイルをファイルリストにドラッグ＆ドロップすることでも追加可能です。 セキュリティーが設定されたPDFファイルは、選択できません。 署名が付与されているPDFファイルと、しおり付きPDFファイルは、選択しないでください。 削除選択したPDFファイルの分割/ページ抽出を取りやめたいときは、［削除］を押します。 プレビュー［プレビュー］を押すと、PDFビューアーが起動して選択したPDFファイルの内容を確認できます。 「分割/ページ抽出方法」エリア１ページずつ分割複数ページのPDFファイルから、１ページのPDFファイルが総ページ数分作成されます。 （例）6ページのPDFファイルを選択すると、１ページのPDFファイルが６つ作成される。 枚数指定PDFファイルを指定ページ数毎に分割することで、複数のPDFファイルが作成されます。 テキストボックスに直接ページ数を入力してください。 （例）６ページのPDFファイルを選択し2ページずつと指定すると、1～2ページ、3～4ページ、5～6ページに分割され３つのPDFファイルが作成される。 区切りページ指定ページ番号または範囲を指定して抽出します。 以下の例に従って、テキストボックスに直接入力してください。数字を１つ入力すると、そのページのみ抽出します。 （例）「20」と指定すると、20ページ目のみ抽出したPDFファイルが作成される。 「-（ハイフン）」に続けて数字を１つ入力すると、先頭ページからそのページまでを抽出します。 （例）「-5」と指定すると、1～5ページを抽出したPDFファイルが作成される。 数字と数字の間に「-（ハイフン）」を挟むと、指定範囲のページを抽出します。 （例）「6-10」と指定すると、6～10ページを抽出したPDFファイルが作成される。 数字1つに続けて「-（ハイフン）」を入力すると、指定ページから最終ページまでを抽出します。 （例）「7-」と指定すると、7ページから最終ページまでを抽出したPDFファイルが作成される。 上記4つの入力方法は、「,（カンマ）」で区切ることでまとめて処理できます。 （例）20,-5,6-10,7- 奇数ページ抽出 / 偶数ページ抽出奇数または偶数ページのみを抽出してPDFファイルを作成できます。 （例）6ページのPDFファイルから奇数ページを抽出すると、1,3,5ページ目を抽出したPDFファイルが１つ作成される。「出力フォルダ」エリア指定したフォルダにPDFを出力する［参照］を押すと、分割/ページ抽出したPDFの出力先となるフォルダを指定できます。 元ファイルと同じフォルダにPDFを出力する選択したPDFファイルと同じフォルダに出力されます。 「出力ファイル名」エリア元ファイル名＋数値連番分割/ページ抽出前のPDFファイル名と同じファイル名に連番をつけた形で保存されます。 別名＋数値連番ファイル名を任意に指定できます。任意指定したファイル名に連番をつけた形で保存されます。 ファイル名に以下の文字は使用できません。 \\ / : * ? &quot; < > 数値連番連結文字列なし ファイル名と連番の間には何も入れません。 （例）ファイル名1、ファイル名2、ファイル名3ハイフン（-） ファイル名と連番の間に「-（ハイフン）」を入れます。 （例）ファイル名-1、ファイル名-2、ファイル名-3アンダーバー（_） ファイル名と連番の間に「_（アンダーバー）」を入れます。 （例）ファイル名_1、ファイル名_2、ファイル名_3同名ファイルをすべて上書きする同名ファイルが存在する場合、すべて上書きします。  このチェックボックスがオンの場合、出力先にある同名ファイルは警告なく上書きされます。 ［分割開始］は、あらかじめバックアップを取るなどの対策を取って、注意して実行してください。 分割開始［分割開始］を押すと、分割またはページ抽出を開始します。 出力中ダイアログで［キャンセル］を押すと処理を中止できますが、既に作成されたPDFファイルは残ります。   ",title:"［分割／ページ抽出］タブ",HTMLFileName:"［分割／ページ抽出］タブ_guid-39eb4da7-8522-1528-2ef9-c4afbb4b9a8b_2.html"},{topicId:"guid-4e96c40f-a31a-3e16-e6f6-c6dd797203ab",body:"［一括PDF出力］タブ変換ユーティリティの［一括PDF出力］タブでは、複数のファイルを一括でPDFファイルに変換できます。 指定したファイル１つにつき、１つのPDFファイルが生成されます。 （例）Wordファイル２つとExcelファイル１つを一括出力すると、３つのPDFファイルが出力される。 対応ファイル以下の拡張子を持つ文書ファイルと画像ファイルは、PDFファイルに変換できる対応ファイルです。  文書ファイル（Office）.doc / .docx / .xls / .xlsx / .ppt / .pptx / .vsd （一太郎）.jtd （テキストファイル）拡張子は別途設定可画像ファイル.jpg / .jpeg / .jpe / .jp2 / .jfif / .bmp / .dib / .gif / .png / .tiff / .tif画像ファイルをPDFファイルに変換する場合、本製品のDriverの設定は反映されません。1ファイルの中で複数のシートに分かれている一太郎ファイルは、アクティブシートのみPDF出力されます。1ファイル（１ブック）の中で複数のシートに分かれているExcelファイルは、ブック全体がPDF出力されます。ただし、シート別に印刷品質（［ファイル］－［ページ設定］のdpi値）が異なる場合、途中から一番右の最終シートのみPDF出力されることがあります。一括PDF出力がうまくいかないときは、他の方法でPDFに変換した後、本ツールの結合機能や分割機能を利用して調整してください。「一括ファイル指定」エリアファイル選択［ファイル選択］から対応ファイルを選択すると、選択したファイルがファイルリストに追加されます。 ファイルをリストにドラッグ＆ドロップすることでも追加可能です。上へ / 下へファイルリスト内で処理の順番を変更できます。並べ替え / …［...］を押すと、ファイルリストの並べ替えについて設定できます。 ［並べ替え］を押すと、［...］で設定された内容に従ってファイルリストの並びがソートされます。 削除 / 全削除PDF変換を取りやめたいファイルがあれば、［削除］を押してファイルリストから削除します。 ［全削除］を押すと、ファイルリストを初期状態に戻します。クリア一括出力終了後、ファイルリストの「状態」を未処理の状態に戻します。 プレビューファイルリスト内のファイルを選択し、［プレビュー］を押すと、それぞれのアプリケーションが起動して内容を確認できます。 ファイルリストの上から順に１つずつPDF出力されます。「フォルダ指定」エリア［参照］からフォルダを選択すると、選択したフォルダ直下にあるすべての対応ファイルを一括PDF出力の対象にします。 ［サブフォルダも変換する］のチェックボックスをオンにすると、指定フォルダ内のすべての対応ファイルが変換対象となります。 「フォルダ指定」エリアの設定は、「一括ファイル指定」エリアと同時設定が可能です。 「一括ファイル指定」エリアで指定したファイルの次に、「フォルダ指定」エリアで指定したファイルの一括出力が行われます。 「テキストファイルとして出力する拡張子」エリア「.txt」以外で、テキストファイルとして扱う拡張子を入力します。 複数の拡張子を指定するときは、「,（半角カンマ）」で区切ります。 未指定（空白）の場合は、「.txt」以外の拡張子のテキストファイルは、変換対象になりません。 （例）.ini,.inf 拡張子の先頭は「.（ドット）」でないと、警告なく出力に失敗します。「出力フォルダ」エリア指定したフォルダにPDFを出力する［参照］を押すと、PDFの出力先となるフォルダを指定できます。 元ファイルと同じフォルダにPDFを出力する選択した各ファイルと同じフォルダに出力されます。 「出力ファイル名」エリア元ファイル名変換前のファイル名と同じファイル名で出力されます。別名＋数値連番ファイル名を任意に指定できます。任意指定したファイル名に連番をつけた形で出力されます。 ファイル名に以下の文字は使用できません。 \\ / : * ? &quot; < >数値連番連結文字列なし ファイル名と連番の間には何も入れません。 （例）ファイル名1、ファイル名2、ファイル名3ハイフン（-） ファイル名と連番の間に「-（ハイフン）」を入れます。 （例）ファイル名-1、ファイル名-2、ファイル名-3アンダーバー（_） ファイル名と連番の間に「_（アンダーバー）」を入れます。 （例）ファイル名_1、ファイル名_2、ファイル名_3エラーが発生しても処理を止めずに次の文書を処理するエラーが発生したら処理は中断となり、その時点で残りのファイルの処理も中止されます。 このチェックボックスをオンにすると、エラーが発生しても処理を止めず、次のファイルの変換処理を続行します。 処理の結果は、ファイルリストの「状態」列で確認できます。 変換時にログを出力するこのチェックボックスをオンにすると、PDF変換に関するログを出力します。 ログを出力する際は、［参照］からログ出力先を指定する必要があります。 ログファイルは常に追記され、サイズの制限は特にありません。 ログのファイル名は、「skyutil」＋「日付yyyymmdd」＋「.txt」となります。 （例）skyutil20201117.txt 一括出力開始［一括出力開始］を押すと、一括PDF出力を開始します。 出力中ダイアログで［キャンセル］を押すと処理を中止できますが、既に作成されたPDFファイルは残ります。 変換前に［キャンセル］を押しても、ファイルリスト上では変換済と表示される場合があります。元ファイルに何らかの問題があり処理がタイムアウトすると、ファイル名や出力フォルダでの処理結果に不備が生じる場合があります。 ",title:"［一括PDF出力］タブ",HTMLFileName:"［一括PDF出力］タブ_guid-4e96c40f-a31a-3e16-e6f6-c6dd797203ab_3.html"},{topicId:"guid-5a229665-9ac0-ffbe-f68b-86423424f710",body:"［フォームデータ抽出］タブ変換ユーティリティの［フォームデータ抽出］タブは、SmartWorkerオプション利用時のみ使用できます。 PDFファイルに含まれるフォームデータを抽出し、CSVファイルまたはXMLファイルに出力できます。 「フォームPDF指定」エリアファイル選択 / フォルダ選択［ファイル選択］からPDFファイルを選択すると、選択したPDFファイルがファイルリストに追加されます。 ［フォルダ選択］からフォルダを選択すると、指定したフォルダ直下にあるすべてのPDFファイルをファイルリストに追加します。サブフォルダは対象外です。 ファイルまたはフォルダを、リストにドラッグ＆ドロップすることでも追加可能です。 上へ / 下へファイルリスト内のPDFファイルの順番を変更できます。並べ替え / …［...］を押すと、ファイルリストの並べ替えについて設定できます。 ［並べ替え］を押すと、［...］で設定された内容に従ってファイルリストの並びがソートされます。 削除 / 全削除フォームデータの抽出を取りやめたいファイルがあれば、［削除］を押してファイルリストから削除します。 ファイルリストからすべてのファイルを削除するには、［全削除］を押します。  フォームデータは、ファイルリストの上から順に抽出されます。「出力形式」エリアCSV PDFから抽出したデータを、カンマ区切りのCSVファイルとして出力します。 PDFファイル名（PDF FileName）、PDFのフォルダー名（PDF Folder）、抽出処理の結果（Result）は必ず出力されます。 CSV : PDFごとにファイルに出力(水平方向にデータ出力)１つのPDFから抽出したフォームデータを、１つのCSVファイルに出力します。 ファイル名：<元ファイル名>.csv １行目：項目名 ２行目：データ （例）Sample1.csv PDF FileName, PDF Folder, Result, &quot;txt_1&quot;, &quot;txt_2&quot; Sample1.pdf, C:\\test, Success, &quot;空山&quot;, &quot;太郎&quot;CSV : PDFごとにファイルに出力(垂直方向にデータ出力)１つのPDFから抽出したフォームデータを、１つのCSVファイルに出力します。 ファイル名：<元ファイル名>.csv １列目：項目名 ２列目：データ （例）Sample1.csv PDF FileName, Sample1.pdf PDF Folder, C:\\test Result, Success &quot;txt_1&quot;, &quot;空山&quot; &quot;txt_2&quot;, &quot;太郎&quot;CSV : テンプレートPDFを指定し、全ファイルまとめて出力する指定したテンプレートPDFのフィールド名と一致するデータを、リストのすべてのPDFファイルから抽出し、１つのCSVファイルにまとめて出力します。 ファイル名：<テンプレートPDFのファイル名>.csv １行目：テンプレートPDFをもとにした項目名 ２行目：テンプレートPDFのデータ ３行目以降：リストにあるPDFファイルのデータ （例）Template.pdf PDF FileName, PDF Folder, Result, &quot;txt_1&quot;, &quot;txt_2&quot; Template.pdf, C:\\test, Success, &quot;&quot;, &quot;&quot; Sample1.pdf, C:\\test, Success, &quot;空山&quot;, &quot;太郎&quot; Sample2.pdf, C:\\test, Success, &quot;雲野&quot;, &quot;花子&quot; Sample3.pdf, C:\\test, Success, &quot;晴川&quot;, &quot;次郎&quot;XML XML : PDFごとにファイルに出力 ［XML:PDFごとにファイルに出力］を選択すると、抽出したフォームデータは、XMLファイルとして出力されます。 出力されたXMLファイルの内容は、当社別製品SkyPDF ToolsSDK IIIのGetInputXmlData関数で取得できるXMLデータと同等です。「テンプレートPDF指定」エリアPDFリスト最上段のファイルをテンプレートPDFとするPDFリスト上にあるPDFのうち、最も上段にあるPDFをテンプレートPDFとします。テンプレートPDFとするファイルを指定する［参照］を押してテンプレートPDFを指定します。「出力フォルダ」エリア指定したフォルダに出力する［参照］を押すと、CSVファイルまたはXMLファイルの出力先となるフォルダを指定できます。（最大文字数：244字） 存在しないフォルダや、書き込み権限がないフォルダに出力することはできません。 元ファイルと同じフォルダに出力する選択したPDFファイルと同じフォルダに出力されます。 ［CSV：テンプレートPDFを指定し、全ファイルまとめて出力する］指定時は選択できません。 テンプレートPDFと同じフォルダに出力する［CSV：テンプレートPDFを指定し、全ファイルまとめて出力する］指定時に選択できます。 同名ファイルが存在した場合、連番を付与して出力するこのチェックボックスがオフの場合、出力先に同名ファイルが存在するときは、上書き保存されます。 このチェックボックスがオンの場合、出力先に同名ファイルが存在するときは、ファイル名の末尾に連番を付与して別名保存されます。  エラーが発生しても処理を止めずに次の文書を処理するエラーが発生したら処理は中断となり、その時点で残りのファイルの処理も中止されます。 このチェックボックスをオンにすると、エラーが発生しても処理を止めず、次のファイルの変換処理を続行します。 処理の結果は、ファイルリストの「状態」列で確認できます。 抽出開始［抽出開始］を押すと、フォームデータの抽出を開始します。  ",title:"［フォームデータ抽出］タブ",HTMLFileName:"［フォームデータ抽出］タブ_guid-5a229665-9ac0-ffbe-f68b-86423424f710_4.html"},{topicId:"guid-6e7a59d1-057b-bead-3e9c-abb03355f98f",body:"［設定］メニュー変換ユーティリティの［設定］メニューについて説明します。 PDF設定［一括PDF出力］タブを開いているときのみ、PDF作成に使用するプリンターの選択と設定が可能です。 本製品が提供するPDF作成用の仮想プリンターは、複数台インストールされている場合があります。 複数台インストールされている場合は、どのプリンターを使ってPDFを出力するか選択し、［プロパティ］から各種設定を行ってください。 PDF作成用仮想プリンターの詳細は、それぞれのヘルプを参照してください。 出力フォルダの指定は、プリンターの設定ではなく、本ツールの設定が優先されます。画像ファイルを一括でPDFファイルに変換する場合、本製品のプリンターの設定は反映されません。オプション変換ユーティリティ起動時に、どのタブを最初に表示するか選択できます。   ",title:"［設定］メニュー",HTMLFileName:"［設定］メニュー_guid-6e7a59d1-057b-bead-3e9c-abb03355f98f_5.html"},{topicId:"guid-31f3abc6-d124-e8c8-f67d-315e715848b2",body:"バージョン情報変換ユーティリティの［ヘルプ］メニューにある［バージョン情報］を開くと、変換ユーティリティのバージョン情報を確認できます。",title:"バージョン情報",HTMLFileName:"バージョン情報_guid-31f3abc6-d124-e8c8-f67d-315e715848b2_6.html"}]